%define upstream_name    Getopt-Auto
%define upstream_version 2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Option framework for command-line applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
'Getopt::Auto' provides an easy way to organize a script to handle whatever
option mechanism it requires.

For each option '--foo' you provide a subroutine 'sub foo{...}'. The sub is
called every time '--foo' appears on the command line. Values for the
option are taken from '@ARGV'.

If you don't provide a subroutine for '--foo', then '$options{'--foo'}' is
set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.json Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.0.0-5pclos2017
- rebuild against updates

